com.r3corda.core.contracts / NettableState

# NettableState

`interface NettableState<N : BilateralNettableState<N>, T : Any> : BilateralNettableState<N>, MultilateralNettableState<T>`

### Inherited Properties

bilateralNetState | `abstract val bilateralNetState: Any` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.
multilateralNetState | `abstract val multilateralNetState: T` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

### Inheritors

State | `data class State<P> : FungibleAsset<Terms<P>>, NettableState<State<P>, MultilateralNetState<P>>` A state representing the obligation of one party (obligor) to deliver a specified number of units of an underlying asset (described as token.acceptableIssuedProducts) to the beneficiary no later than the specified time.